Skip to main content
POST
/
api
/
v0
/
organization
/
users
/
invite
Invite or update a user
curl --request POST \
  --url https://api.factory.ai/api/v0/organization/users/invite \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "jsmith@example.com",
  "role": "user"
}
'
{
  "email": "jsmith@example.com",
  "role": "user",
  "status": "invited",
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

Factory API key or JWT token for authentication

Body

application/json
email
string<email>
required

Email address to invite

role
enum<string>
default:user

Role to assign (defaults to user)

Available options:
user,
manager,
owner

Response

Response for status 200

email
string<email>
required

Invited email address

role
enum<string>
required

Assigned role

Available options:
user,
manager,
owner
status
enum<string>
required

Result of the invite operation

Available options:
invited,
already_member,
role_updated,
already_invited,
error
error
string

Error message if status is error